Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class DialerAgentGroupParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.DialerAgentGroupParams

    public class DialerAgentGroupParams

extends Object

Provides information about a virtual agent group containing inbound and outbound groups, and managed by a dialer.

Field Summary
`protected Duration` | `delayInIn`
`protected Duration` | `delayInOut`
`protected Duration` | `delayOutIn`
`protected Duration` | `delayOutOut`
`protected List<AgentGroupIndex>` | `inboundGroup`
`protected Integer` | `maximumIdleOutboundAgents`
`protected Integer` | `minimumIdleInboundAgents`
`protected Duration` | `minimumIdleTime`
`protected List<AgentGroupIndex>` | `outboundGroup`
`protected int[]` | `requiredEmptyGroupsInOut`
`protected int[]` | `requiredEmptyGroupsOutIn`

Constructor Summary
`DialerAgentGroupParams()`

Method Summary
`Duration` | `getDelayInIn()` Gets the value of the delayInIn property.
`Duration` | `getDelayInOut()` Gets the value of the delayInOut property.
`Duration` | `getDelayOutIn()` Gets the value of the delayOutIn property.
`Duration` | `getDelayOutOut()` Gets the value of the delayOutOut property.
`List<AgentGroupIndex>` | `getInboundGroup()` Gets the value of the inboundGroup property.
`int` | `getMaximumIdleOutboundAgents()` Gets the value of the maximumIdleOutboundAgents property.
`int` | `getMinimumIdleInboundAgents()` Gets the value of the minimumIdleInboundAgents property.
`Duration` | `getMinimumIdleTime()` Gets the value of the minimumIdleTime property.
`List<AgentGroupIndex>` | `getOutboundGroup()` Gets the value of the outboundGroup property.
`int[]` | `getRequiredEmptyGroupsInOut()`
`int` | `getRequiredEmptyGroupsInOut(int idx)`
`int` | `getRequiredEmptyGroupsInOutLength()`
`int[]` | `getRequiredEmptyGroupsOutIn()`
`int` | `getRequiredEmptyGroupsOutIn(int idx)`
`int` | `getRequiredEmptyGroupsOutInLength()`
`boolean` | `isSetDelayInIn()`
`boolean` | `isSetDelayInOut()`
`boolean` | `isSetDelayOutIn()`
`boolean` | `isSetDelayOutOut()`
`boolean` | `isSetInboundGroup()`
`boolean` | `isSetMaximumIdleOutboundAgents()`
`boolean` | `isSetMinimumIdleInboundAgents()`
`boolean` | `isSetMinimumIdleTime()`
`boolean` | `isSetOutboundGroup()`
`boolean` | `isSetRequiredEmptyGroupsInOut()`
`boolean` | `isSetRequiredEmptyGroupsOutIn()`
`void` | `setDelayInIn(Duration value)` Sets the value of the delayInIn property.
`void` | `setDelayInOut(Duration value)` Sets the value of the delayInOut property.
`void` | `setDelayOutIn(Duration value)` Sets the value of the delayOutIn property.
`void` | `setDelayOutOut(Duration value)` Sets the value of the delayOutOut property.
`void` | `setMaximumIdleOutboundAgents(int value)` Sets the value of the maximumIdleOutboundAgents property.
`void` | `setMinimumIdleInboundAgents(int value)` Sets the value of the minimumIdleInboundAgents property.
`void` | `setMinimumIdleTime(Duration value)` Sets the value of the minimumIdleTime property.
`void` | `setRequiredEmptyGroupsInOut(int[] values)`
`int` | `setRequiredEmptyGroupsInOut(int idx, int value)`
`void` | `setRequiredEmptyGroupsOutIn(int[] values)`
`int` | `setRequiredEmptyGroupsOutIn(int idx, int value)`
`void` | `unsetInboundGroup()`
`void` | `unsetMaximumIdleOutboundAgents()`
`void` | `unsetMinimumIdleInboundAgents()`
`void` | `unsetOutboundGroup()`
`void` | `unsetRequiredEmptyGroupsInOut()`
`void` | `unsetRequiredEmptyGroupsOutIn()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inboundGroup

    protected List<AgentGroupIndex> inboundGroup

### outboundGroup

    protected List<AgentGroupIndex> outboundGroup

### requiredEmptyGroupsInOut

    protected int[] requiredEmptyGroupsInOut

### requiredEmptyGroupsOutIn

    protected int[] requiredEmptyGroupsOutIn

### delayInIn

    protected Duration delayInIn

### delayInOut

    protected Duration delayInOut

### delayOutIn

    protected Duration delayOutIn

### delayOutOut

    protected Duration delayOutOut

### minimumIdleTime

    protected Duration minimumIdleTime

### minimumIdleInboundAgents

    protected Integer minimumIdleInboundAgents

### maximumIdleOutboundAgents

    protected Integer maximumIdleOutboundAgents

Constructor Detail

### DialerAgentGroupParams

    public DialerAgentGroupParams()

Method Detail

### getInboundGroup

    public List<AgentGroupIndex> getInboundGroup()

  Gets the value of the inboundGroup property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the inboundGroup property.

  For example, to add a new item, do as follows:

          getInboundGroup().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentGroupIndex`

### isSetInboundGroup

    public boolean isSetInboundGroup()

### unsetInboundGroup

    public void unsetInboundGroup()

### getOutboundGroup

    public List<AgentGroupIndex> getOutboundGroup()

  Gets the value of the outboundGroup property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the outboundGroup property.

  For example, to add a new item, do as follows:

          getOutboundGroup().add(newItem);

  Objects of the following type(s) are allowed in the list `AgentGroupIndex`

### isSetOutboundGroup

    public boolean isSetOutboundGroup()

### unsetOutboundGroup

    public void unsetOutboundGroup()

### getRequiredEmptyGroupsInOut

    public int[] getRequiredEmptyGroupsInOut()

  Returns:
    array of `Integer`

### getRequiredEmptyGroupsInOut

    public int getRequiredEmptyGroupsInOut(int idx)

  Returns:
    one of `Integer`

### getRequiredEmptyGroupsInOutLength

    public int getRequiredEmptyGroupsInOutLength()

### setRequiredEmptyGroupsInOut

    public void setRequiredEmptyGroupsInOut(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setRequiredEmptyGroupsInOut

    public int setRequiredEmptyGroupsInOut(int idx,
                                           int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetRequiredEmptyGroupsInOut

    public boolean isSetRequiredEmptyGroupsInOut()

### unsetRequiredEmptyGroupsInOut

    public void unsetRequiredEmptyGroupsInOut()

### getRequiredEmptyGroupsOutIn

    public int[] getRequiredEmptyGroupsOutIn()

  Returns:
    array of `Integer`

### getRequiredEmptyGroupsOutIn

    public int getRequiredEmptyGroupsOutIn(int idx)

  Returns:
    one of `Integer`

### getRequiredEmptyGroupsOutInLength

    public int getRequiredEmptyGroupsOutInLength()

### setRequiredEmptyGroupsOutIn

    public void setRequiredEmptyGroupsOutIn(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setRequiredEmptyGroupsOutIn

    public int setRequiredEmptyGroupsOutIn(int idx,
                                           int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetRequiredEmptyGroupsOutIn

    public boolean isSetRequiredEmptyGroupsOutIn()

### unsetRequiredEmptyGroupsOutIn

    public void unsetRequiredEmptyGroupsOutIn()

### getDelayInIn

    public Duration getDelayInIn()

  Gets the value of the delayInIn property.

  Returns:
    possible object is `Duration`

### setDelayInIn

    public void setDelayInIn(Duration value)

  Sets the value of the delayInIn property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetDelayInIn

    public boolean isSetDelayInIn()

### getDelayInOut

    public Duration getDelayInOut()

  Gets the value of the delayInOut property.

  Returns:
    possible object is `Duration`

### setDelayInOut

    public void setDelayInOut(Duration value)

  Sets the value of the delayInOut property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetDelayInOut

    public boolean isSetDelayInOut()

### getDelayOutIn

    public Duration getDelayOutIn()

  Gets the value of the delayOutIn property.

  Returns:
    possible object is `Duration`

### setDelayOutIn

    public void setDelayOutIn(Duration value)

  Sets the value of the delayOutIn property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetDelayOutIn

    public boolean isSetDelayOutIn()

### getDelayOutOut

    public Duration getDelayOutOut()

  Gets the value of the delayOutOut property.

  Returns:
    possible object is `Duration`

### setDelayOutOut

    public void setDelayOutOut(Duration value)

  Sets the value of the delayOutOut property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetDelayOutOut

    public boolean isSetDelayOutOut()

### getMinimumIdleTime

    public Duration getMinimumIdleTime()

  Gets the value of the minimumIdleTime property.

  Returns:
    possible object is `Duration`

### setMinimumIdleTime

    public void setMinimumIdleTime(Duration value)

  Sets the value of the minimumIdleTime property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetMinimumIdleTime

    public boolean isSetMinimumIdleTime()

### getMinimumIdleInboundAgents

    public int getMinimumIdleInboundAgents()

  Gets the value of the minimumIdleInboundAgents property.

  Returns:
    possible object is `Integer`

### setMinimumIdleInboundAgents

    public void setMinimumIdleInboundAgents(int value)

  Sets the value of the minimumIdleInboundAgents property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMinimumIdleInboundAgents

    public boolean isSetMinimumIdleInboundAgents()

### unsetMinimumIdleInboundAgents

    public void unsetMinimumIdleInboundAgents()

### getMaximumIdleOutboundAgents

    public int getMaximumIdleOutboundAgents()

  Gets the value of the maximumIdleOutboundAgents property.

  Returns:
    possible object is `Integer`

### setMaximumIdleOutboundAgents

    public void setMaximumIdleOutboundAgents(int value)

  Sets the value of the maximumIdleOutboundAgents property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaximumIdleOutboundAgents

    public boolean isSetMaximumIdleOutboundAgents()

### unsetMaximumIdleOutboundAgents

    public void unsetMaximumIdleOutboundAgents()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.